For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTACH Checkout
      • POSTApple Pay Checkout
      • GETApple Pay Validate Merchant
      • POSTCapture Payment
      • POSTCard Checkout
      • POSTCard on File Authorized
      • POSTCard On File Checkout
      • POSTCash App Checkout
      • POSTCreate Pix Payment
      • POSTCrypto Payin
      • POSTGet Checkout Jwt Token
      • POSTGet Checkout Link
      • POSTGet Destination Auth Key
      • POSTGet Interchange Fees
      • GETGet supported chains and tokens
      • POSTGet Totals
      • POSTGet USDC Authorization Message (EVM only)
      • POSTGoogle Pay Checkout
      • POSTMerchant Initiated Transaction
      • POSTRain Checkout
      • PUTReview Payment Protection
      • POSTSaved Card Checkout
      • POSTSepa/Faster Payments Checkout (New Account)
      • POSTSepa/Faster Payments Checkout (Saved Account)
      • POSTUS Wire Domestic Payments Checkout (New Account)
      • POSTUS Wire Domestic Payments Checkout (Saved Account)
      • POSTVoid Payment
      • POSTZero Authorization
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceCheckout

Get Totals

POST
https://api-sandbox.coinflow.cash/api/checkout/totals/:merchantId
POST
/api/checkout/totals/:merchantId
$curl -X POST https://api-sandbox.coinflow.cash/api/checkout/totals/merchantId \
> -H "x-coinflow-auth-session-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "subtotal": {
> "cents": 1,
> "currency": "USD"
> }
>}'
200Successful
1{
2 "card": {
3 "subtotal": {
4 "cents": 1,
5 "currency": "USD"
6 },
7 "creditCardFees": {
8 "cents": 1,
9 "currency": "USD"
10 },
11 "chargebackProtectionFees": {
12 "cents": 1,
13 "currency": "USD"
14 },
15 "gasFees": {
16 "cents": 1,
17 "currency": "USD"
18 },
19 "fxFees": {
20 "cents": 1,
21 "currency": "USD"
22 },
23 "total": {
24 "cents": 1,
25 "currency": "USD"
26 },
27 "settlement": {
28 "subtotal": {
29 "cents": 1,
30 "currency": "USD"
31 },
32 "creditCardFees": {
33 "cents": 1,
34 "currency": "USD"
35 },
36 "chargebackProtectionFees": {
37 "cents": 1,
38 "currency": "USD"
39 },
40 "gasFees": {
41 "cents": 1,
42 "currency": "USD"
43 },
44 "fxFees": {
45 "cents": 1,
46 "currency": "USD"
47 },
48 "total": {
49 "cents": 1,
50 "currency": "USD"
51 },
52 "networkFees": {
53 "cents": 1,
54 "currency": "USD"
55 },
56 "payInFees": {
57 "cents": 1,
58 "currency": "USD"
59 },
60 "reserve": {
61 "cents": 1,
62 "currency": "USD"
63 },
64 "merchantPaidCreditCardFees": {
65 "cents": 1,
66 "currency": "USD"
67 },
68 "merchantPaidChargebackProtectionFees": {
69 "cents": 1,
70 "currency": "USD"
71 },
72 "merchantPaidGasFees": {
73 "cents": 1,
74 "currency": "USD"
75 },
76 "merchantPaidFxFees": {
77 "cents": 1,
78 "currency": "USD"
79 },
80 "merchantPaidNetworkFees": {
81 "cents": 1,
82 "currency": "USD"
83 }
84 },
85 "basis": {
86 "cents": 1,
87 "currency": "USD"
88 },
89 "exchangeRate": 1.1,
90 "networkFees": {
91 "cents": 1,
92 "currency": "USD"
93 },
94 "payInFees": {
95 "cents": 1,
96 "currency": "USD"
97 },
98 "reserve": {
99 "cents": 1,
100 "currency": "USD"
101 },
102 "merchantPaidCreditCardFees": {
103 "cents": 1,
104 "currency": "USD"
105 },
106 "merchantPaidChargebackProtectionFees": {
107 "cents": 1,
108 "currency": "USD"
109 },
110 "merchantPaidGasFees": {
111 "cents": 1,
112 "currency": "USD"
113 },
114 "merchantPaidFxFees": {
115 "cents": 1,
116 "currency": "USD"
117 },
118 "merchantPaidNetworkFees": {
119 "cents": 1,
120 "currency": "USD"
121 }
122 },
123 "ach": {
124 "subtotal": {
125 "cents": 1,
126 "currency": "USD"
127 },
128 "creditCardFees": {
129 "cents": 1,
130 "currency": "USD"
131 },
132 "chargebackProtectionFees": {
133 "cents": 1,
134 "currency": "USD"
135 },
136 "gasFees": {
137 "cents": 1,
138 "currency": "USD"
139 },
140 "fxFees": {
141 "cents": 1,
142 "currency": "USD"
143 },
144 "total": {
145 "cents": 1,
146 "currency": "USD"
147 },
148 "settlement": {
149 "subtotal": {
150 "cents": 1,
151 "currency": "USD"
152 },
153 "creditCardFees": {
154 "cents": 1,
155 "currency": "USD"
156 },
157 "chargebackProtectionFees": {
158 "cents": 1,
159 "currency": "USD"
160 },
161 "gasFees": {
162 "cents": 1,
163 "currency": "USD"
164 },
165 "fxFees": {
166 "cents": 1,
167 "currency": "USD"
168 },
169 "total": {
170 "cents": 1,
171 "currency": "USD"
172 },
173 "networkFees": {
174 "cents": 1,
175 "currency": "USD"
176 },
177 "payInFees": {
178 "cents": 1,
179 "currency": "USD"
180 },
181 "reserve": {
182 "cents": 1,
183 "currency": "USD"
184 },
185 "merchantPaidCreditCardFees": {
186 "cents": 1,
187 "currency": "USD"
188 },
189 "merchantPaidChargebackProtectionFees": {
190 "cents": 1,
191 "currency": "USD"
192 },
193 "merchantPaidGasFees": {
194 "cents": 1,
195 "currency": "USD"
196 },
197 "merchantPaidFxFees": {
198 "cents": 1,
199 "currency": "USD"
200 },
201 "merchantPaidNetworkFees": {
202 "cents": 1,
203 "currency": "USD"
204 }
205 },
206 "basis": {
207 "cents": 1,
208 "currency": "USD"
209 },
210 "exchangeRate": 1.1,
211 "networkFees": {
212 "cents": 1,
213 "currency": "USD"
214 },
215 "payInFees": {
216 "cents": 1,
217 "currency": "USD"
218 },
219 "reserve": {
220 "cents": 1,
221 "currency": "USD"
222 },
223 "merchantPaidCreditCardFees": {
224 "cents": 1,
225 "currency": "USD"
226 },
227 "merchantPaidChargebackProtectionFees": {
228 "cents": 1,
229 "currency": "USD"
230 },
231 "merchantPaidGasFees": {
232 "cents": 1,
233 "currency": "USD"
234 },
235 "merchantPaidFxFees": {
236 "cents": 1,
237 "currency": "USD"
238 },
239 "merchantPaidNetworkFees": {
240 "cents": 1,
241 "currency": "USD"
242 }
243 },
244 "fasterPayments": {
245 "subtotal": {
246 "cents": 1,
247 "currency": "USD"
248 },
249 "creditCardFees": {
250 "cents": 1,
251 "currency": "USD"
252 },
253 "chargebackProtectionFees": {
254 "cents": 1,
255 "currency": "USD"
256 },
257 "gasFees": {
258 "cents": 1,
259 "currency": "USD"
260 },
261 "fxFees": {
262 "cents": 1,
263 "currency": "USD"
264 },
265 "total": {
266 "cents": 1,
267 "currency": "USD"
268 },
269 "settlement": {
270 "subtotal": {
271 "cents": 1,
272 "currency": "USD"
273 },
274 "creditCardFees": {
275 "cents": 1,
276 "currency": "USD"
277 },
278 "chargebackProtectionFees": {
279 "cents": 1,
280 "currency": "USD"
281 },
282 "gasFees": {
283 "cents": 1,
284 "currency": "USD"
285 },
286 "fxFees": {
287 "cents": 1,
288 "currency": "USD"
289 },
290 "total": {
291 "cents": 1,
292 "currency": "USD"
293 },
294 "networkFees": {
295 "cents": 1,
296 "currency": "USD"
297 },
298 "payInFees": {
299 "cents": 1,
300 "currency": "USD"
301 },
302 "reserve": {
303 "cents": 1,
304 "currency": "USD"
305 },
306 "merchantPaidCreditCardFees": {
307 "cents": 1,
308 "currency": "USD"
309 },
310 "merchantPaidChargebackProtectionFees": {
311 "cents": 1,
312 "currency": "USD"
313 },
314 "merchantPaidGasFees": {
315 "cents": 1,
316 "currency": "USD"
317 },
318 "merchantPaidFxFees": {
319 "cents": 1,
320 "currency": "USD"
321 },
322 "merchantPaidNetworkFees": {
323 "cents": 1,
324 "currency": "USD"
325 }
326 },
327 "basis": {
328 "cents": 1,
329 "currency": "USD"
330 },
331 "exchangeRate": 1.1,
332 "networkFees": {
333 "cents": 1,
334 "currency": "USD"
335 },
336 "payInFees": {
337 "cents": 1,
338 "currency": "USD"
339 },
340 "reserve": {
341 "cents": 1,
342 "currency": "USD"
343 },
344 "merchantPaidCreditCardFees": {
345 "cents": 1,
346 "currency": "USD"
347 },
348 "merchantPaidChargebackProtectionFees": {
349 "cents": 1,
350 "currency": "USD"
351 },
352 "merchantPaidGasFees": {
353 "cents": 1,
354 "currency": "USD"
355 },
356 "merchantPaidFxFees": {
357 "cents": 1,
358 "currency": "USD"
359 },
360 "merchantPaidNetworkFees": {
361 "cents": 1,
362 "currency": "USD"
363 }
364 },
365 "sepa": {
366 "subtotal": {
367 "cents": 1,
368 "currency": "USD"
369 },
370 "creditCardFees": {
371 "cents": 1,
372 "currency": "USD"
373 },
374 "chargebackProtectionFees": {
375 "cents": 1,
376 "currency": "USD"
377 },
378 "gasFees": {
379 "cents": 1,
380 "currency": "USD"
381 },
382 "fxFees": {
383 "cents": 1,
384 "currency": "USD"
385 },
386 "total": {
387 "cents": 1,
388 "currency": "USD"
389 },
390 "settlement": {
391 "subtotal": {
392 "cents": 1,
393 "currency": "USD"
394 },
395 "creditCardFees": {
396 "cents": 1,
397 "currency": "USD"
398 },
399 "chargebackProtectionFees": {
400 "cents": 1,
401 "currency": "USD"
402 },
403 "gasFees": {
404 "cents": 1,
405 "currency": "USD"
406 },
407 "fxFees": {
408 "cents": 1,
409 "currency": "USD"
410 },
411 "total": {
412 "cents": 1,
413 "currency": "USD"
414 },
415 "networkFees": {
416 "cents": 1,
417 "currency": "USD"
418 },
419 "payInFees": {
420 "cents": 1,
421 "currency": "USD"
422 },
423 "reserve": {
424 "cents": 1,
425 "currency": "USD"
426 },
427 "merchantPaidCreditCardFees": {
428 "cents": 1,
429 "currency": "USD"
430 },
431 "merchantPaidChargebackProtectionFees": {
432 "cents": 1,
433 "currency": "USD"
434 },
435 "merchantPaidGasFees": {
436 "cents": 1,
437 "currency": "USD"
438 },
439 "merchantPaidFxFees": {
440 "cents": 1,
441 "currency": "USD"
442 },
443 "merchantPaidNetworkFees": {
444 "cents": 1,
445 "currency": "USD"
446 }
447 },
448 "basis": {
449 "cents": 1,
450 "currency": "USD"
451 },
452 "exchangeRate": 1.1,
453 "networkFees": {
454 "cents": 1,
455 "currency": "USD"
456 },
457 "payInFees": {
458 "cents": 1,
459 "currency": "USD"
460 },
461 "reserve": {
462 "cents": 1,
463 "currency": "USD"
464 },
465 "merchantPaidCreditCardFees": {
466 "cents": 1,
467 "currency": "USD"
468 },
469 "merchantPaidChargebackProtectionFees": {
470 "cents": 1,
471 "currency": "USD"
472 },
473 "merchantPaidGasFees": {
474 "cents": 1,
475 "currency": "USD"
476 },
477 "merchantPaidFxFees": {
478 "cents": 1,
479 "currency": "USD"
480 },
481 "merchantPaidNetworkFees": {
482 "cents": 1,
483 "currency": "USD"
484 }
485 },
486 "pix": {
487 "subtotal": {
488 "cents": 1,
489 "currency": "USD"
490 },
491 "creditCardFees": {
492 "cents": 1,
493 "currency": "USD"
494 },
495 "chargebackProtectionFees": {
496 "cents": 1,
497 "currency": "USD"
498 },
499 "gasFees": {
500 "cents": 1,
501 "currency": "USD"
502 },
503 "fxFees": {
504 "cents": 1,
505 "currency": "USD"
506 },
507 "total": {
508 "cents": 1,
509 "currency": "USD"
510 },
511 "settlement": {
512 "subtotal": {
513 "cents": 1,
514 "currency": "USD"
515 },
516 "creditCardFees": {
517 "cents": 1,
518 "currency": "USD"
519 },
520 "chargebackProtectionFees": {
521 "cents": 1,
522 "currency": "USD"
523 },
524 "gasFees": {
525 "cents": 1,
526 "currency": "USD"
527 },
528 "fxFees": {
529 "cents": 1,
530 "currency": "USD"
531 },
532 "total": {
533 "cents": 1,
534 "currency": "USD"
535 },
536 "networkFees": {
537 "cents": 1,
538 "currency": "USD"
539 },
540 "payInFees": {
541 "cents": 1,
542 "currency": "USD"
543 },
544 "reserve": {
545 "cents": 1,
546 "currency": "USD"
547 },
548 "merchantPaidCreditCardFees": {
549 "cents": 1,
550 "currency": "USD"
551 },
552 "merchantPaidChargebackProtectionFees": {
553 "cents": 1,
554 "currency": "USD"
555 },
556 "merchantPaidGasFees": {
557 "cents": 1,
558 "currency": "USD"
559 },
560 "merchantPaidFxFees": {
561 "cents": 1,
562 "currency": "USD"
563 },
564 "merchantPaidNetworkFees": {
565 "cents": 1,
566 "currency": "USD"
567 }
568 },
569 "basis": {
570 "cents": 1,
571 "currency": "USD"
572 },
573 "exchangeRate": 1.1,
574 "networkFees": {
575 "cents": 1,
576 "currency": "USD"
577 },
578 "payInFees": {
579 "cents": 1,
580 "currency": "USD"
581 },
582 "reserve": {
583 "cents": 1,
584 "currency": "USD"
585 },
586 "merchantPaidCreditCardFees": {
587 "cents": 1,
588 "currency": "USD"
589 },
590 "merchantPaidChargebackProtectionFees": {
591 "cents": 1,
592 "currency": "USD"
593 },
594 "merchantPaidGasFees": {
595 "cents": 1,
596 "currency": "USD"
597 },
598 "merchantPaidFxFees": {
599 "cents": 1,
600 "currency": "USD"
601 },
602 "merchantPaidNetworkFees": {
603 "cents": 1,
604 "currency": "USD"
605 }
606 },
607 "usdc": {
608 "subtotal": {
609 "cents": 1,
610 "currency": "USD"
611 },
612 "creditCardFees": {
613 "cents": 1,
614 "currency": "USD"
615 },
616 "chargebackProtectionFees": {
617 "cents": 1,
618 "currency": "USD"
619 },
620 "gasFees": {
621 "cents": 1,
622 "currency": "USD"
623 },
624 "fxFees": {
625 "cents": 1,
626 "currency": "USD"
627 },
628 "total": {
629 "cents": 1,
630 "currency": "USD"
631 },
632 "settlement": {
633 "subtotal": {
634 "cents": 1,
635 "currency": "USD"
636 },
637 "creditCardFees": {
638 "cents": 1,
639 "currency": "USD"
640 },
641 "chargebackProtectionFees": {
642 "cents": 1,
643 "currency": "USD"
644 },
645 "gasFees": {
646 "cents": 1,
647 "currency": "USD"
648 },
649 "fxFees": {
650 "cents": 1,
651 "currency": "USD"
652 },
653 "total": {
654 "cents": 1,
655 "currency": "USD"
656 },
657 "networkFees": {
658 "cents": 1,
659 "currency": "USD"
660 },
661 "payInFees": {
662 "cents": 1,
663 "currency": "USD"
664 },
665 "reserve": {
666 "cents": 1,
667 "currency": "USD"
668 },
669 "merchantPaidCreditCardFees": {
670 "cents": 1,
671 "currency": "USD"
672 },
673 "merchantPaidChargebackProtectionFees": {
674 "cents": 1,
675 "currency": "USD"
676 },
677 "merchantPaidGasFees": {
678 "cents": 1,
679 "currency": "USD"
680 },
681 "merchantPaidFxFees": {
682 "cents": 1,
683 "currency": "USD"
684 },
685 "merchantPaidNetworkFees": {
686 "cents": 1,
687 "currency": "USD"
688 }
689 },
690 "basis": {
691 "cents": 1,
692 "currency": "USD"
693 },
694 "exchangeRate": 1.1,
695 "networkFees": {
696 "cents": 1,
697 "currency": "USD"
698 },
699 "payInFees": {
700 "cents": 1,
701 "currency": "USD"
702 },
703 "reserve": {
704 "cents": 1,
705 "currency": "USD"
706 },
707 "merchantPaidCreditCardFees": {
708 "cents": 1,
709 "currency": "USD"
710 },
711 "merchantPaidChargebackProtectionFees": {
712 "cents": 1,
713 "currency": "USD"
714 },
715 "merchantPaidGasFees": {
716 "cents": 1,
717 "currency": "USD"
718 },
719 "merchantPaidFxFees": {
720 "cents": 1,
721 "currency": "USD"
722 },
723 "merchantPaidNetworkFees": {
724 "cents": 1,
725 "currency": "USD"
726 }
727 },
728 "googlePay": {
729 "subtotal": {
730 "cents": 1,
731 "currency": "USD"
732 },
733 "creditCardFees": {
734 "cents": 1,
735 "currency": "USD"
736 },
737 "chargebackProtectionFees": {
738 "cents": 1,
739 "currency": "USD"
740 },
741 "gasFees": {
742 "cents": 1,
743 "currency": "USD"
744 },
745 "fxFees": {
746 "cents": 1,
747 "currency": "USD"
748 },
749 "total": {
750 "cents": 1,
751 "currency": "USD"
752 },
753 "settlement": {
754 "subtotal": {
755 "cents": 1,
756 "currency": "USD"
757 },
758 "creditCardFees": {
759 "cents": 1,
760 "currency": "USD"
761 },
762 "chargebackProtectionFees": {
763 "cents": 1,
764 "currency": "USD"
765 },
766 "gasFees": {
767 "cents": 1,
768 "currency": "USD"
769 },
770 "fxFees": {
771 "cents": 1,
772 "currency": "USD"
773 },
774 "total": {
775 "cents": 1,
776 "currency": "USD"
777 },
778 "networkFees": {
779 "cents": 1,
780 "currency": "USD"
781 },
782 "payInFees": {
783 "cents": 1,
784 "currency": "USD"
785 },
786 "reserve": {
787 "cents": 1,
788 "currency": "USD"
789 },
790 "merchantPaidCreditCardFees": {
791 "cents": 1,
792 "currency": "USD"
793 },
794 "merchantPaidChargebackProtectionFees": {
795 "cents": 1,
796 "currency": "USD"
797 },
798 "merchantPaidGasFees": {
799 "cents": 1,
800 "currency": "USD"
801 },
802 "merchantPaidFxFees": {
803 "cents": 1,
804 "currency": "USD"
805 },
806 "merchantPaidNetworkFees": {
807 "cents": 1,
808 "currency": "USD"
809 }
810 },
811 "basis": {
812 "cents": 1,
813 "currency": "USD"
814 },
815 "exchangeRate": 1.1,
816 "networkFees": {
817 "cents": 1,
818 "currency": "USD"
819 },
820 "payInFees": {
821 "cents": 1,
822 "currency": "USD"
823 },
824 "reserve": {
825 "cents": 1,
826 "currency": "USD"
827 },
828 "merchantPaidCreditCardFees": {
829 "cents": 1,
830 "currency": "USD"
831 },
832 "merchantPaidChargebackProtectionFees": {
833 "cents": 1,
834 "currency": "USD"
835 },
836 "merchantPaidGasFees": {
837 "cents": 1,
838 "currency": "USD"
839 },
840 "merchantPaidFxFees": {
841 "cents": 1,
842 "currency": "USD"
843 },
844 "merchantPaidNetworkFees": {
845 "cents": 1,
846 "currency": "USD"
847 }
848 },
849 "applePay": {
850 "subtotal": {
851 "cents": 1,
852 "currency": "USD"
853 },
854 "creditCardFees": {
855 "cents": 1,
856 "currency": "USD"
857 },
858 "chargebackProtectionFees": {
859 "cents": 1,
860 "currency": "USD"
861 },
862 "gasFees": {
863 "cents": 1,
864 "currency": "USD"
865 },
866 "fxFees": {
867 "cents": 1,
868 "currency": "USD"
869 },
870 "total": {
871 "cents": 1,
872 "currency": "USD"
873 },
874 "settlement": {
875 "subtotal": {
876 "cents": 1,
877 "currency": "USD"
878 },
879 "creditCardFees": {
880 "cents": 1,
881 "currency": "USD"
882 },
883 "chargebackProtectionFees": {
884 "cents": 1,
885 "currency": "USD"
886 },
887 "gasFees": {
888 "cents": 1,
889 "currency": "USD"
890 },
891 "fxFees": {
892 "cents": 1,
893 "currency": "USD"
894 },
895 "total": {
896 "cents": 1,
897 "currency": "USD"
898 },
899 "networkFees": {
900 "cents": 1,
901 "currency": "USD"
902 },
903 "payInFees": {
904 "cents": 1,
905 "currency": "USD"
906 },
907 "reserve": {
908 "cents": 1,
909 "currency": "USD"
910 },
911 "merchantPaidCreditCardFees": {
912 "cents": 1,
913 "currency": "USD"
914 },
915 "merchantPaidChargebackProtectionFees": {
916 "cents": 1,
917 "currency": "USD"
918 },
919 "merchantPaidGasFees": {
920 "cents": 1,
921 "currency": "USD"
922 },
923 "merchantPaidFxFees": {
924 "cents": 1,
925 "currency": "USD"
926 },
927 "merchantPaidNetworkFees": {
928 "cents": 1,
929 "currency": "USD"
930 }
931 },
932 "basis": {
933 "cents": 1,
934 "currency": "USD"
935 },
936 "exchangeRate": 1.1,
937 "networkFees": {
938 "cents": 1,
939 "currency": "USD"
940 },
941 "payInFees": {
942 "cents": 1,
943 "currency": "USD"
944 },
945 "reserve": {
946 "cents": 1,
947 "currency": "USD"
948 },
949 "merchantPaidCreditCardFees": {
950 "cents": 1,
951 "currency": "USD"
952 },
953 "merchantPaidChargebackProtectionFees": {
954 "cents": 1,
955 "currency": "USD"
956 },
957 "merchantPaidGasFees": {
958 "cents": 1,
959 "currency": "USD"
960 },
961 "merchantPaidFxFees": {
962 "cents": 1,
963 "currency": "USD"
964 },
965 "merchantPaidNetworkFees": {
966 "cents": 1,
967 "currency": "USD"
968 }
969 },
970 "credits": {
971 "subtotal": {
972 "cents": 1,
973 "currency": "USD"
974 },
975 "creditCardFees": {
976 "cents": 1,
977 "currency": "USD"
978 },
979 "chargebackProtectionFees": {
980 "cents": 1,
981 "currency": "USD"
982 },
983 "gasFees": {
984 "cents": 1,
985 "currency": "USD"
986 },
987 "fxFees": {
988 "cents": 1,
989 "currency": "USD"
990 },
991 "total": {
992 "cents": 1,
993 "currency": "USD"
994 },
995 "settlement": {
996 "subtotal": {
997 "cents": 1,
998 "currency": "USD"
999 },
1000 "creditCardFees": {
1001 "cents": 1,
1002 "currency": "USD"
1003 },
1004 "chargebackProtectionFees": {
1005 "cents": 1,
1006 "currency": "USD"
1007 },
1008 "gasFees": {
1009 "cents": 1,
1010 "currency": "USD"
1011 },
1012 "fxFees": {
1013 "cents": 1,
1014 "currency": "USD"
1015 },
1016 "total": {
1017 "cents": 1,
1018 "currency": "USD"
1019 },
1020 "networkFees": {
1021 "cents": 1,
1022 "currency": "USD"
1023 },
1024 "payInFees": {
1025 "cents": 1,
1026 "currency": "USD"
1027 },
1028 "reserve": {
1029 "cents": 1,
1030 "currency": "USD"
1031 },
1032 "merchantPaidCreditCardFees": {
1033 "cents": 1,
1034 "currency": "USD"
1035 },
1036 "merchantPaidChargebackProtectionFees": {
1037 "cents": 1,
1038 "currency": "USD"
1039 },
1040 "merchantPaidGasFees": {
1041 "cents": 1,
1042 "currency": "USD"
1043 },
1044 "merchantPaidFxFees": {
1045 "cents": 1,
1046 "currency": "USD"
1047 },
1048 "merchantPaidNetworkFees": {
1049 "cents": 1,
1050 "currency": "USD"
1051 }
1052 },
1053 "basis": {
1054 "cents": 1,
1055 "currency": "USD"
1056 },
1057 "exchangeRate": 1.1,
1058 "networkFees": {
1059 "cents": 1,
1060 "currency": "USD"
1061 },
1062 "payInFees": {
1063 "cents": 1,
1064 "currency": "USD"
1065 },
1066 "reserve": {
1067 "cents": 1,
1068 "currency": "USD"
1069 },
1070 "merchantPaidCreditCardFees": {
1071 "cents": 1,
1072 "currency": "USD"
1073 },
1074 "merchantPaidChargebackProtectionFees": {
1075 "cents": 1,
1076 "currency": "USD"
1077 },
1078 "merchantPaidGasFees": {
1079 "cents": 1,
1080 "currency": "USD"
1081 },
1082 "merchantPaidFxFees": {
1083 "cents": 1,
1084 "currency": "USD"
1085 },
1086 "merchantPaidNetworkFees": {
1087 "cents": 1,
1088 "currency": "USD"
1089 }
1090 },
1091 "crypto": {
1092 "subtotal": {
1093 "cents": 1,
1094 "currency": "USD"
1095 },
1096 "creditCardFees": {
1097 "cents": 1,
1098 "currency": "USD"
1099 },
1100 "chargebackProtectionFees": {
1101 "cents": 1,
1102 "currency": "USD"
1103 },
1104 "gasFees": {
1105 "cents": 1,
1106 "currency": "USD"
1107 },
1108 "fxFees": {
1109 "cents": 1,
1110 "currency": "USD"
1111 },
1112 "total": {
1113 "cents": 1,
1114 "currency": "USD"
1115 },
1116 "settlement": {
1117 "subtotal": {
1118 "cents": 1,
1119 "currency": "USD"
1120 },
1121 "creditCardFees": {
1122 "cents": 1,
1123 "currency": "USD"
1124 },
1125 "chargebackProtectionFees": {
1126 "cents": 1,
1127 "currency": "USD"
1128 },
1129 "gasFees": {
1130 "cents": 1,
1131 "currency": "USD"
1132 },
1133 "fxFees": {
1134 "cents": 1,
1135 "currency": "USD"
1136 },
1137 "total": {
1138 "cents": 1,
1139 "currency": "USD"
1140 },
1141 "networkFees": {
1142 "cents": 1,
1143 "currency": "USD"
1144 },
1145 "payInFees": {
1146 "cents": 1,
1147 "currency": "USD"
1148 },
1149 "reserve": {
1150 "cents": 1,
1151 "currency": "USD"
1152 },
1153 "merchantPaidCreditCardFees": {
1154 "cents": 1,
1155 "currency": "USD"
1156 },
1157 "merchantPaidChargebackProtectionFees": {
1158 "cents": 1,
1159 "currency": "USD"
1160 },
1161 "merchantPaidGasFees": {
1162 "cents": 1,
1163 "currency": "USD"
1164 },
1165 "merchantPaidFxFees": {
1166 "cents": 1,
1167 "currency": "USD"
1168 },
1169 "merchantPaidNetworkFees": {
1170 "cents": 1,
1171 "currency": "USD"
1172 }
1173 },
1174 "basis": {
1175 "cents": 1,
1176 "currency": "USD"
1177 },
1178 "exchangeRate": 1.1,
1179 "networkFees": {
1180 "cents": 1,
1181 "currency": "USD"
1182 },
1183 "payInFees": {
1184 "cents": 1,
1185 "currency": "USD"
1186 },
1187 "reserve": {
1188 "cents": 1,
1189 "currency": "USD"
1190 },
1191 "merchantPaidCreditCardFees": {
1192 "cents": 1,
1193 "currency": "USD"
1194 },
1195 "merchantPaidChargebackProtectionFees": {
1196 "cents": 1,
1197 "currency": "USD"
1198 },
1199 "merchantPaidGasFees": {
1200 "cents": 1,
1201 "currency": "USD"
1202 },
1203 "merchantPaidFxFees": {
1204 "cents": 1,
1205 "currency": "USD"
1206 },
1207 "merchantPaidNetworkFees": {
1208 "cents": 1,
1209 "currency": "USD"
1210 }
1211 },
1212 "wire": {
1213 "subtotal": {
1214 "cents": 1,
1215 "currency": "USD"
1216 },
1217 "creditCardFees": {
1218 "cents": 1,
1219 "currency": "USD"
1220 },
1221 "chargebackProtectionFees": {
1222 "cents": 1,
1223 "currency": "USD"
1224 },
1225 "gasFees": {
1226 "cents": 1,
1227 "currency": "USD"
1228 },
1229 "fxFees": {
1230 "cents": 1,
1231 "currency": "USD"
1232 },
1233 "total": {
1234 "cents": 1,
1235 "currency": "USD"
1236 },
1237 "settlement": {
1238 "subtotal": {
1239 "cents": 1,
1240 "currency": "USD"
1241 },
1242 "creditCardFees": {
1243 "cents": 1,
1244 "currency": "USD"
1245 },
1246 "chargebackProtectionFees": {
1247 "cents": 1,
1248 "currency": "USD"
1249 },
1250 "gasFees": {
1251 "cents": 1,
1252 "currency": "USD"
1253 },
1254 "fxFees": {
1255 "cents": 1,
1256 "currency": "USD"
1257 },
1258 "total": {
1259 "cents": 1,
1260 "currency": "USD"
1261 },
1262 "networkFees": {
1263 "cents": 1,
1264 "currency": "USD"
1265 },
1266 "payInFees": {
1267 "cents": 1,
1268 "currency": "USD"
1269 },
1270 "reserve": {
1271 "cents": 1,
1272 "currency": "USD"
1273 },
1274 "merchantPaidCreditCardFees": {
1275 "cents": 1,
1276 "currency": "USD"
1277 },
1278 "merchantPaidChargebackProtectionFees": {
1279 "cents": 1,
1280 "currency": "USD"
1281 },
1282 "merchantPaidGasFees": {
1283 "cents": 1,
1284 "currency": "USD"
1285 },
1286 "merchantPaidFxFees": {
1287 "cents": 1,
1288 "currency": "USD"
1289 },
1290 "merchantPaidNetworkFees": {
1291 "cents": 1,
1292 "currency": "USD"
1293 }
1294 },
1295 "basis": {
1296 "cents": 1,
1297 "currency": "USD"
1298 },
1299 "exchangeRate": 1.1,
1300 "networkFees": {
1301 "cents": 1,
1302 "currency": "USD"
1303 },
1304 "payInFees": {
1305 "cents": 1,
1306 "currency": "USD"
1307 },
1308 "reserve": {
1309 "cents": 1,
1310 "currency": "USD"
1311 },
1312 "merchantPaidCreditCardFees": {
1313 "cents": 1,
1314 "currency": "USD"
1315 },
1316 "merchantPaidChargebackProtectionFees": {
1317 "cents": 1,
1318 "currency": "USD"
1319 },
1320 "merchantPaidGasFees": {
1321 "cents": 1,
1322 "currency": "USD"
1323 },
1324 "merchantPaidFxFees": {
1325 "cents": 1,
1326 "currency": "USD"
1327 },
1328 "merchantPaidNetworkFees": {
1329 "cents": 1,
1330 "currency": "USD"
1331 }
1332 },
1333 "cashApp": {
1334 "subtotal": {
1335 "cents": 1,
1336 "currency": "USD"
1337 },
1338 "creditCardFees": {
1339 "cents": 1,
1340 "currency": "USD"
1341 },
1342 "chargebackProtectionFees": {
1343 "cents": 1,
1344 "currency": "USD"
1345 },
1346 "gasFees": {
1347 "cents": 1,
1348 "currency": "USD"
1349 },
1350 "fxFees": {
1351 "cents": 1,
1352 "currency": "USD"
1353 },
1354 "total": {
1355 "cents": 1,
1356 "currency": "USD"
1357 },
1358 "settlement": {
1359 "subtotal": {
1360 "cents": 1,
1361 "currency": "USD"
1362 },
1363 "creditCardFees": {
1364 "cents": 1,
1365 "currency": "USD"
1366 },
1367 "chargebackProtectionFees": {
1368 "cents": 1,
1369 "currency": "USD"
1370 },
1371 "gasFees": {
1372 "cents": 1,
1373 "currency": "USD"
1374 },
1375 "fxFees": {
1376 "cents": 1,
1377 "currency": "USD"
1378 },
1379 "total": {
1380 "cents": 1,
1381 "currency": "USD"
1382 },
1383 "networkFees": {
1384 "cents": 1,
1385 "currency": "USD"
1386 },
1387 "payInFees": {
1388 "cents": 1,
1389 "currency": "USD"
1390 },
1391 "reserve": {
1392 "cents": 1,
1393 "currency": "USD"
1394 },
1395 "merchantPaidCreditCardFees": {
1396 "cents": 1,
1397 "currency": "USD"
1398 },
1399 "merchantPaidChargebackProtectionFees": {
1400 "cents": 1,
1401 "currency": "USD"
1402 },
1403 "merchantPaidGasFees": {
1404 "cents": 1,
1405 "currency": "USD"
1406 },
1407 "merchantPaidFxFees": {
1408 "cents": 1,
1409 "currency": "USD"
1410 },
1411 "merchantPaidNetworkFees": {
1412 "cents": 1,
1413 "currency": "USD"
1414 }
1415 },
1416 "basis": {
1417 "cents": 1,
1418 "currency": "USD"
1419 },
1420 "exchangeRate": 1.1,
1421 "networkFees": {
1422 "cents": 1,
1423 "currency": "USD"
1424 },
1425 "payInFees": {
1426 "cents": 1,
1427 "currency": "USD"
1428 },
1429 "reserve": {
1430 "cents": 1,
1431 "currency": "USD"
1432 },
1433 "merchantPaidCreditCardFees": {
1434 "cents": 1,
1435 "currency": "USD"
1436 },
1437 "merchantPaidChargebackProtectionFees": {
1438 "cents": 1,
1439 "currency": "USD"
1440 },
1441 "merchantPaidGasFees": {
1442 "cents": 1,
1443 "currency": "USD"
1444 },
1445 "merchantPaidFxFees": {
1446 "cents": 1,
1447 "currency": "USD"
1448 },
1449 "merchantPaidNetworkFees": {
1450 "cents": 1,
1451 "currency": "USD"
1452 }
1453 },
1454 "rain": {
1455 "subtotal": {
1456 "cents": 1,
1457 "currency": "USD"
1458 },
1459 "creditCardFees": {
1460 "cents": 1,
1461 "currency": "USD"
1462 },
1463 "chargebackProtectionFees": {
1464 "cents": 1,
1465 "currency": "USD"
1466 },
1467 "gasFees": {
1468 "cents": 1,
1469 "currency": "USD"
1470 },
1471 "fxFees": {
1472 "cents": 1,
1473 "currency": "USD"
1474 },
1475 "total": {
1476 "cents": 1,
1477 "currency": "USD"
1478 },
1479 "settlement": {
1480 "subtotal": {
1481 "cents": 1,
1482 "currency": "USD"
1483 },
1484 "creditCardFees": {
1485 "cents": 1,
1486 "currency": "USD"
1487 },
1488 "chargebackProtectionFees": {
1489 "cents": 1,
1490 "currency": "USD"
1491 },
1492 "gasFees": {
1493 "cents": 1,
1494 "currency": "USD"
1495 },
1496 "fxFees": {
1497 "cents": 1,
1498 "currency": "USD"
1499 },
1500 "total": {
1501 "cents": 1,
1502 "currency": "USD"
1503 },
1504 "networkFees": {
1505 "cents": 1,
1506 "currency": "USD"
1507 },
1508 "payInFees": {
1509 "cents": 1,
1510 "currency": "USD"
1511 },
1512 "reserve": {
1513 "cents": 1,
1514 "currency": "USD"
1515 },
1516 "merchantPaidCreditCardFees": {
1517 "cents": 1,
1518 "currency": "USD"
1519 },
1520 "merchantPaidChargebackProtectionFees": {
1521 "cents": 1,
1522 "currency": "USD"
1523 },
1524 "merchantPaidGasFees": {
1525 "cents": 1,
1526 "currency": "USD"
1527 },
1528 "merchantPaidFxFees": {
1529 "cents": 1,
1530 "currency": "USD"
1531 },
1532 "merchantPaidNetworkFees": {
1533 "cents": 1,
1534 "currency": "USD"
1535 }
1536 },
1537 "basis": {
1538 "cents": 1,
1539 "currency": "USD"
1540 },
1541 "exchangeRate": 1.1,
1542 "networkFees": {
1543 "cents": 1,
1544 "currency": "USD"
1545 },
1546 "payInFees": {
1547 "cents": 1,
1548 "currency": "USD"
1549 },
1550 "reserve": {
1551 "cents": 1,
1552 "currency": "USD"
1553 },
1554 "merchantPaidCreditCardFees": {
1555 "cents": 1,
1556 "currency": "USD"
1557 },
1558 "merchantPaidChargebackProtectionFees": {
1559 "cents": 1,
1560 "currency": "USD"
1561 },
1562 "merchantPaidGasFees": {
1563 "cents": 1,
1564 "currency": "USD"
1565 },
1566 "merchantPaidFxFees": {
1567 "cents": 1,
1568 "currency": "USD"
1569 },
1570 "merchantPaidNetworkFees": {
1571 "cents": 1,
1572 "currency": "USD"
1573 }
1574 }
1575}
Gets the fees, quotes, and totals for a particular checkout.
Was this page helpful?
Previous

Get USDC Authorization Message (EVM only)

Next
Built with

Authentication

x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Path parameters

merchantIdstringRequired

Request

This endpoint expects an object.
subtotalobjectRequired
jwtTokenstringOptional
This is a token encoding the parameters for the request. Allows purchase parameters to be verified to prevent manipulation when the checkout page is presented to the user.
rentobjectOptional

(Solana only) if your transaction requires a known amount of Rent to be paid, you can pass it here.

transactionDataobjectOptional

(EVM only) if you want to execute an EVM transaction on a successful purchase, you can pass a transaction request here.

Gas fees for the transaction will be automatically calculated and added to the total charged to the customer. Optionally the merchant can opt to pay for these gas fees.

settlementTypeenumOptional
Allowed values:
stellarTransactionstringOptional

(Stellar only) Base64 XDR transaction string for executing a merchant contract call for a purchase.

For transaction purchases, pass the base64 XDR string created using .toXDR() on a transaction built with generated TypeScript bindings (e.g., NftClientWrapper.buildNftPurchaseTx).

For direct USDC transfers (no merchant transaction), omit this field or pass undefined.

Gas fees for the transaction will be automatically calculated and added to the total charged to the customer.

binstringOptional
The bin of the card to get the exact fees
creditsBalanceobjectOptional
usdcBalanceobjectOptional
presentmentenumOptional
customPayInFeeslist of objectsOptional

Response

Ok
cardobject
achobject
fasterPaymentsobject
sepaobject
pixobject
usdcobject
googlePayobject
applePayobject
creditsobject
cryptoobject
wireobject
cashAppobject
rainobject

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key